## com.google.appengine.api.search
Enum SortSpec.SortDirection

    java.lang.Object
      java.lang.Enum<SortSpec.SortDirection>
          com.google.appengine.api.search.SortSpec.SortDirection

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SortSpec.SortDirection>

Enclosing class:
  SortSpec

    public static enum SortSpec.SortDirection

extends java.lang.Enum<SortSpec.SortDirection>

The direction search results are sorted by, either ascending or descending.

Enum Constant Summary
`ASCENDING` The search results are sorted in ascending order, e.g.
`DESCENDING` The search results are sorted in descending order, e.g.

Method Summary
`static SortSpec.SortDirection` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SortSpec.SortDirection[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ASCENDING

    public static final SortSpec.SortDirection ASCENDING

  The search results are sorted in ascending order, e.g. alphabetic aaa ... zzz

### DESCENDING

    public static final SortSpec.SortDirection DESCENDING

  The search results are sorted in descending order, e.g. zzz ... aaa

Method Detail

### values

    public static SortSpec.SortDirection[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SortSpec.SortDirection c : SortSpec.SortDirection.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SortSpec.SortDirection valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null